Bug 180111 - Installing JDK 1.5.0-6 after rpmbuild fails due to missing symlink in rpmdb
Installing JDK 1.5.0-6 after rpmbuild fails due to missing symlink in rpmdb
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: unixODBC (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-05 17:02 EST by Jeff Means
Modified: 2013-07-02 23:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-17 21:55:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Means 2006-02-05 17:02:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
[root@bast SPECS]# rpm -Uvh /usr/src/redhat/RPMS/*/java-1.5.0-sun*
error: Failed dependencies:
        /usr/lib/libodbcinst.so is needed by java-1.5.0-sun-jdbc-1.5.0.06-1jpp.i586

File truly does not exist but does exist as /usr/lib/libodbcinst.so.1 and /usr/lib/libodbcinst.so.1.0.0  There are also some other files loaded by the unixODBC package that do not have .so extensions but are the more spefic versions of themselves.  Creating the file (/usr/lib/libodbcinst.so) as a symlink and them running rpm with the --nodeps option will install the package sucessfully as well as run correctly however having the proper files in the unixODBC package would be a great benefit for those unfamiliar with --nodeps, along with removing some of the risks associated with using --nodeps.

Version-Release number of selected component (if applicable):
unixODBC-2.2.11-3.FC4.1

How reproducible:
Always

Steps to Reproduce:
1. Build java-1.5.0-sun-jdbc-1.5.0.06-1jpp using spec file from http://mirrors.dotsrc.org/jpackage/1.6/generic/non-free/SRPMS/java-1.5.0-sun-1.5.0.06-1jpp.nosrc.rpm (jpackage.repo)
2. Try to install

  

Actual Results:  A message is displayed stating that /usr/lib/libodbcinst.so is needed by java-1.5.0-sun-jdbc-1.5.0.06-1jpp.i586 and the install stops / fails

Expected Results:  The package java-1.5.0-sun-jdbc-1.5.0.06-1jpp.i586 should have been installed

Additional info:
Comment 1 Tom Lane 2006-02-16 11:52:46 EST
Why would a jdbc package need to depend on an ODBC library?  This sounds like a
bug in that java package to me.

Anyway, the link in question does exist in the unixODBC-devel RPM.  Perhaps
they've just gotten their package dependencies misstated.
Comment 2 Jeff Means 2006-02-17 21:55:34 EST
After checking into this you are right they should be refering to the
unixODBC-devel RPM it makes much more sense and also works across the board on
most Linux systems the exception being Debian....

Thanks,
Jeff MEans

Note You need to log in before you can comment on or make changes to this bug.